function sumError = errorfun(alpha)
  sumError = 0; 
  options = simset('SrcWorkspace','current');
  delta_vec = [ -0.0016    0.0173   -0.0115;     
                -0.0015   -0.0053   -0.0060;       
                 0.0003    0.0050    0.0062;        
                -0.0089    0.0050    0.0062;         
                -0.0001   -0.0039   -0.0041;  
                -0.0089    0.0018   -0.0001;        
                -0.0089   -0.0018    0.0001;         
                 0.0003   -0.0050   -0.0062;         
                -0.0089    0.0022    0.0083;         
                 0.0013    0.0134    0.0001];        

        for i = 1:length(delta_vec)
            %% Input to Simulink
            delta = [delta_vec(i,:)'; 0; 0; 0];
            
            %% Running Simulink
            sim('errorModel',[],options)
            
            %% Calculate error
            delta_t = (error.time(2:end) - error.time(1:end-1));
            avg_error_x = (error.signals.values(2:end,1) + error.signals.values(1:end-1,1))/2;
            avg_error_y = (error.signals.values(2:end,2) + error.signals.values(1:end-1,2))/2;
            avg_error_z = (error.signals.values(2:end,3) + error.signals.values(1:end-1,3))/2;
            
            sumError = sumError + sum(sqrt((delta_t.*avg_error_x).^2 + (delta_t.*avg_error_y).^2 + (delta_t.*avg_error_z).^2)); 
        end
   end